Package org.drinkless.tdlib

# Class TdApi.StarTransactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarTransactions

Enclosing class:
  `TdApi`

public static class TdApi.StarTransactions extends TdApi.Object
Represents a list of Telegram Star transactions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `nextOffset`
  The offset for the next request.
  `TdApi.StarAmount`
  `starAmount`
  The amount of owned Telegram Stars.
  `TdApi.StarTransaction[]`
  `transactions`
  List of transactions with Telegram Stars.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarTransactions()`
  Represents a list of Telegram Star transactions.
  `StarTransactions(TdApi.StarAmount starAmount, TdApi.StarTransaction[] transactions, String nextOffset)`
  Represents a list of Telegram Star transactions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starAmount

    public TdApi.StarAmount starAmount
    The amount of owned Telegram Stars.

  - ### transactions

    public TdApi.StarTransaction[] transactions
    List of transactions with Telegram Stars.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarTransactions

    public StarTransactions()
    Represents a list of Telegram Star transactions.

  - ### StarTransactions

    public StarTransactions(TdApi.StarAmount starAmount, TdApi.StarTransaction[] transactions, String nextOffset)
    Represents a list of Telegram Star transactions.
    Parameters:
      `starAmount` - The amount of owned Telegram Stars.
      `transactions` - List of transactions with Telegram Stars.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR